Skip to main content
GET
/
cart
/
warehouses
Get All Cart Warehouses
curl --request GET \
  --url https://production.trackstarhq.com/cart/warehouses \
  --header 'x-trackstar-access-token: <x-trackstar-access-token>' \
  --header 'x-trackstar-api-key: <x-trackstar-api-key>'
import requests

url = "https://production.trackstarhq.com/cart/warehouses"

headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};

fetch('https://production.trackstarhq.com/cart/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "warehouse_id",
      "created_date": "2022-01-01T00:00:00Z",
      "updated_date": "2022-01-02T05:05:05Z",
      "name": "Bethlehem (PA)",
      "code": "ABE-1",
      "address": {
        "address1": "123 Main St",
        "address2": "Apt 2",
        "address3": "Floor 3",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "United States"
      },
      "trackstar_tags": [
        "tag1",
        "tag2",
        {
          "tag3": "value3"
        }
      ],
      "trackstar_created_date": "2023-11-07T05:31:56Z",
      "trackstar_updated_date": "2023-11-07T05:31:56Z"
    }
  ],
  "next_token": "next_token",
  "total_count": 1
}
{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

x-trackstar-access-token
string
required

Your user's access token for a specific integration (ShipHero, Extensiv, etc).

Example:

"<x-trackstar-access-token>"

Query Parameters

page_token
string | null

The page token to use to retrieve the next page of results. If this field is omitted, there are no subsequent pages.

Example:

"page_token"

limit
integer

The maximum number of items to return. The default is 1000.

Required range: 1 <= x <= 1000
Example:

1000

ids
CartWarehouseIdsQueryParam · object
created_date
CartWarehouseCreated_DateQueryParam · object

Use this parameter to retrieve items filtered to a specific date range. For example, to get all items between 2023-03-10 and 2023-03-22, you would send created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z. See the filtering docs for more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. Note: it is much more efficient to use a combination of gte/lte than it is to use gt/lt.

updated_date
CartWarehouseUpdated_DateQueryParam · object

Same syntax as created_date.

trackstar_created_date
CartWarehouseTrackstar_Created_DateQueryParam · object

Same syntax as created_date.

trackstar_updated_date
CartWarehouseTrackstar_Updated_DateQueryParam · object

Same syntax as created_date.

trackstar_tags
CartWarehouseTrackstar_Tags_FlatQueryParam · object

Filter by trackstar tags. Dict-shaped tags should be queried as "key:value" strings.

Response

Successful response

data
CartWarehouseApiItemSchema · object[]
required
next_token
string | null
required

See pagination for more details.

Example:

"next_token"

total_count
integer
required

The number of items returned.

Example:

1